#!/usr/bin/perl

open (ID_FILE, "id.txt" );
$line = <ID_FILE>;

until (eof(ID_FILE)) {
    $id_file_name = $id = $line;
    $id_file_name =~ s/^([^\:]*).+$/\1/;
    chomp($id_file_name);   
    $id =~  s/^.*id\=\"([^\"]*).*$/\1/;
    chomp($id);
    $id_ref="$id_file_name\#$id";
    if ((grep(/$id_ref/, @id)) == 0) {
        push @id, $id_ref;
    };
    $line = <ID_FILE>;
}

close ID_FILE;

open (HREF_FILE, "href.txt" );
$line = <HREF_FILE>;

until (eof(HREF_FILE)) {
    $href_file_name = $href = $line;
    $href_file_name =~ s/^([^\:]*).+$/\1/;
    chomp($href_file_name);   
    $href =~  s/^.*href\=\"([^\"]*).*$/\1/;
    chomp($href); 
    $href_file = $href_id = "";
    ($href_file, $href_id) = split('#', $href);
    $href_ref = "$href_file\#$href_id";    
    if ((grep(/$href_ref/, @id)) == 0) {
	if ((grep(/$href_id/, @id)) == 0) {
	    print "$href in $href_file_name not found in any file\n";	    
	} else {
	    @answer = grep(/$href_id/, @id);	    
	    print "$href found in:\n";	    
	    
	    foreach $answer (@answer) {
		print "\t$answer\n";
	    }
	}
    }
    
    $line = <HREF_FILE>;
}

close HREF_FILE;

